%
% scilabstats.tex --
%   Some notes about Scilab statistical features in Scilab.
%
% Copyright 2008 Michael Baudin
%
\documentclass[12pt]{report}

%% Good fonts for PDF
\usepackage[cyr]{aeguill}

%% Package for page headers
\usepackage{fancyhdr}

%% Package to include graphics
%% Comment for DVI
\usepackage[pdftex]{graphicx}

%% Figures formats: jpeg or pdf
%% Comment for DVI
\DeclareGraphicsExtensions{.jpg,.pdf}

%% Package to create Hyperdocuments
%% Comment for DVI
\usepackage[pdftex,colorlinks=true,linkcolor=blue,citecolor=blue,urlcolor=blue]{hyperref}

%% Package to control printed area size
\usepackage{anysize}
%% ...by defining margins {left}{right}{top}{bottom}
\marginsize{22mm}{14mm}{12mm}{25mm}

%% Package used to include a bibliography
\usepackage{natbib}

%% R for real numbers
\usepackage{amssymb}

%% User defined commands

\usepackage{url}

% Scilab macros
\newcommand{\scimacro}[1]{\textit{#1}}
\newcommand{\scicommand}[1]{\textit{#1}}

% To highlight source code
\usepackage{listings}

% Define theorem environments 
\newtheorem{theorem}{Theorem}[section]
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{corollary}[theorem]{Corollary}

\newenvironment{proof}[1][Proof]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}]}{\end{trivlist}}
\newenvironment{definition}[1][Definition]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}]}{\end{trivlist}}
\newenvironment{example}[1][Example]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}]}{\end{trivlist}}
\newenvironment{remark}[1][Remark]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}]}{\end{trivlist}}

\newcommand{\qed}{\nobreak \ifvmode \relax \else
      \ifdim\lastskip<1.5em \hskip-\lastskip
      \hskip1.5em plus0em minus0.5em \fi \nobreak
      \vrule height0.75em width0.5em depth0.25em\fi}

% Maths shortcuts 
\newcommand{\RR}{\mathbb{R}}

% Algorithms
\usepackage{algorithm2e}

\begin{document}
\author{Michael Baudin}
\date{February 2009}
\title{Scilab and Statistics}
\begin{abstract}
In this document, we describe the statistical features of Scilab.
We analyse the features available in Scilab's core (i.e. provided
"out of the box") and Scilab Statistical Toolboxes.
For Scilab's core statistical features, we analyse the different
libraries used by Scilab and provide a complete overview of 
the functions. For the most important features, we present Scilab 
sessions with a sample use of the command. Several Scilab Toolboxes
are analysed in this document, including Sci\_R and Stixbox.
We also analyse the missing features (not provided in the core and not in the 
toolboxes) with the tools which are available in other languages,
including Matlab and R.
\end{abstract}

\maketitle

\tableofcontents

\include{introduction}
\include{inscilab}
\include{statstoolboxes}
\include{missingfeatures}

\clearpage

%% Bibliography


\addcontentsline{toc}{chapter}{Bibliography}
\bibliographystyle{plain}
\bibliography{statisticsscilab}

\end{document}

